編集の要約なし
編集の要約なし
4行目: 4行目:
  * @source https://www.mediawiki.org/wiki/Snippets/Auto-number_headings
  * @source https://www.mediawiki.org/wiki/Snippets/Auto-number_headings
  * @author Krinkle
  * @author Krinkle
  * @version 2021-10-03
  * @version 2024-04-25
  */
  */
/**
/**
  * Fallback for pages without a TOC. This could in principle work for all pages,
  * Fallback for pages without a TOC. This could in principle work for all pages,
  * but we don't to ensure consistency between the TOC and heading numbers  
  * but we want to ensure consistency between the TOC and heading numbers.
  */
  */
.tpl-autonum .mw-parser-output {
.tpl-autonum .mw-parser-output {
   counter-reset: autonum-h2 autonum-h3 autonum-h4 autonum-h5 autonum-h6 !important;
   counter-reset: autonum-h2 autonum-h3 autonum-h4 autonum-h5 autonum-h6;
}
}
.tpl-autonum .mw-parser-output h2 {
.tpl-autonum .mw-parser-output h2 {
   counter-reset: autonum-h3 autonum-h4 autonum-h5 autonum-h6 !important;
   counter-reset: autonum-h3 autonum-h4 autonum-h5 autonum-h6;
}
}
.tpl-autonum .mw-parser-output h3 {
.tpl-autonum .mw-parser-output h3 {
   counter-reset: autonum-h4 autonum-h5 autonum-h6 !important;
   counter-reset: autonum-h4 autonum-h5 autonum-h6;
}
}
.tpl-autonum .mw-parser-output h4 {
.tpl-autonum .mw-parser-output h4 {
   counter-reset: autonum-h5 autonum-h6 !important;
   counter-reset: autonum-h5 autonum-h6;
}
}
.tpl-autonum .mw-parser-output h5 {
.tpl-autonum .mw-parser-output h5 {
   counter-reset: autonum-h6 !important;
   counter-reset: autonum-h6;
}
}
.tpl-autonum .mw-parser-output h2 .mw-headline:before {
.tpl-autonum .mw-parser-output h2 .mw-headline:before,
   counter-increment: autonum-h2 !important;
.tpl-autonum .mw-parser-output .mw-heading h2:before {
   content: counter(autonum-h2) " " !important;
   counter-increment: autonum-h2;
   content: counter(autonum-h2) " ";
}
}
.tpl-autonum .mw-parser-output h3 .mw-headline:before {
.tpl-autonum .mw-parser-output h3 .mw-headline:before,
   counter-increment: autonum-h3 !important;
.tpl-autonum .mw-parser-output .mw-heading h3:before {
   content: counter(autonum-h2) "." counter(autonum-h3) " " !important;
   counter-increment: autonum-h3;
   content: counter(autonum-h2) "." counter(autonum-h3) " ";
}
}
.tpl-autonum .mw-parser-output h4 .mw-headline:before {
.tpl-autonum .mw-parser-output h4 .mw-headline:before,
   counter-increment: autonum-h4 !important;
.tpl-autonum .mw-parser-output .mw-heading h4:before {
   content: counter(autonum-h2) "." counter(autonum-h3) "." counter(autonum-h4) " " !important;
   counter-increment: autonum-h4;
   content: counter(autonum-h2) "." counter(autonum-h3) "." counter(autonum-h4) " ";
}
}
.tpl-autonum .mw-parser-output h5 .mw-headline:before {
.tpl-autonum .mw-parser-output h5 .mw-headline:before,
   counter-increment: autonum-h5 !important;
.tpl-autonum .mw-parser-output .mw-heading h5:before {
   content: counter(autonum-h2) "." counter(autonum-h3) "." counter(autonum-h4) "." counter(autonum-h5) " " !important;
   counter-increment: autonum-h5;
   content: counter(autonum-h2) "." counter(autonum-h3) "." counter(autonum-h4) "." counter(autonum-h5) " ";
}
}
.tpl-autonum .mw-parser-output h6 .mw-headline:before {
.tpl-autonum .mw-parser-output h6 .mw-headline:before,
   counter-increment: autonum-h6 !important;
.tpl-autonum .mw-parser-output .mw-heading h6:before {
   content: counter(autonum-h2) "." counter(autonum-h3) "." counter(autonum-h4) "." counter(autonum-h5) "." counter(autonum-h6) " " !important;
   counter-increment: autonum-h6;
   content: counter(autonum-h2) "." counter(autonum-h3) "." counter(autonum-h4) "." counter(autonum-h5) "." counter(autonum-h6) " ";
}
}

2024年5月13日 (月) 00:33時点における版

/**
 * Auto-number headings
 *
 * @source https://www.mediawiki.org/wiki/Snippets/Auto-number_headings
 * @author Krinkle
 * @version 2024-04-25
 */
/**
 * Fallback for pages without a TOC. This could in principle work for all pages,
 * but we want to ensure consistency between the TOC and heading numbers.
 */
.tpl-autonum .mw-parser-output {
  counter-reset: autonum-h2 autonum-h3 autonum-h4 autonum-h5 autonum-h6;
}
.tpl-autonum .mw-parser-output h2 {
  counter-reset: autonum-h3 autonum-h4 autonum-h5 autonum-h6;
}
.tpl-autonum .mw-parser-output h3 {
  counter-reset: autonum-h4 autonum-h5 autonum-h6;
}
.tpl-autonum .mw-parser-output h4 {
  counter-reset: autonum-h5 autonum-h6;
}
.tpl-autonum .mw-parser-output h5 {
  counter-reset: autonum-h6;
}
.tpl-autonum .mw-parser-output h2 .mw-headline:before,
.tpl-autonum .mw-parser-output .mw-heading h2:before {
  counter-increment: autonum-h2;
  content: counter(autonum-h2) " ";
}
.tpl-autonum .mw-parser-output h3 .mw-headline:before,
.tpl-autonum .mw-parser-output .mw-heading h3:before {
  counter-increment: autonum-h3;
  content: counter(autonum-h2) "." counter(autonum-h3) " ";
}
.tpl-autonum .mw-parser-output h4 .mw-headline:before,
.tpl-autonum .mw-parser-output .mw-heading h4:before {
  counter-increment: autonum-h4;
  content: counter(autonum-h2) "." counter(autonum-h3) "." counter(autonum-h4) " ";
}
.tpl-autonum .mw-parser-output h5 .mw-headline:before,
.tpl-autonum .mw-parser-output .mw-heading h5:before {
  counter-increment: autonum-h5;
  content: counter(autonum-h2) "." counter(autonum-h3) "." counter(autonum-h4) "." counter(autonum-h5) " ";
}
.tpl-autonum .mw-parser-output h6 .mw-headline:before,
.tpl-autonum .mw-parser-output .mw-heading h6:before {
  counter-increment: autonum-h6;
  content: counter(autonum-h2) "." counter(autonum-h3) "." counter(autonum-h4) "." counter(autonum-h5) "." counter(autonum-h6) " ";
}